Bug 813903

Summary: [abrt] kernel: WARNING: at drivers/net/wireless/iwlwifi/iwl-trans-pcie-rx.c:461 iwl_irq_tasklet+0x666/0xd00 [iwlwifi]()
Product: [Fedora] Fedora Reporter: ali
Component: kernelAssignee: John W. Linville <linville>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: adramalech707, arvind.iyengar.2010, bartek_szawulak, do1234521, d.quast, gansalmon, h.pillay, itamar, jezoo666, jforbes, jonathan, kernel-maint, madhu.chinakonda, mikeandmore, santiago.lunar.m, woodard, yaroslav.sapozhnik
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:e3310b29d9d3b784c0a60e29777582000056116f
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-13 10:14:22 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description ali 2012-04-18 13:55:45 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.3.1-5.fc16.x86_64 root=/dev/mapper/vg_pasha-root ro rd.lvm.lv=vg_pasha/swap rd.md=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8 rd.lvm.lv=vg_pasha/root
kernel:         3.3.1-5.fc16.x86_64
reason:         WARNING: at drivers/net/wireless/iwlwifi/iwl-trans-pcie-rx.c:461 iwl_irq_tasklet+0x666/0xd00 [iwlwifi]()
time:           Wed 18 Apr 2012 10:30:42 AM PDT

backtrace:
:WARNING: at drivers/net/wireless/iwlwifi/iwl-trans-pcie-rx.c:461 iwl_irq_tasklet+0x666/0xd00 [iwlwifi]()
:Hardware name: VGN-FW180D
:reclaim is false, SEQ_RX_FRAME unset: REPLY_RX_PHY_CMD
:Modules linked in: ip6table_filter ip6_tables ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack xt_CHECKSUM iptable_mangle bridge be2iscsi iscsi_boot_sysfs 8021q garp stp llc bnx2i fcoe lockd libfcoe libfc scsi_transport_fc scsi_tgt rfcomm cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi bnep snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec arc4 iwlwifi mac80211 btusb snd_hwdep snd_seq snd_seq_device uvcvideo videobuf2_core videodev snd_pcm r592 bluetooth media snd_timer cfg80211 sony_laptop memstick videobuf2_vmalloc iTCO_wdt i2c_i801 snd soundcore videobuf2_memops rfkill snd_page_alloc microcode sky2 iTCO_vendor_support joydev vhost_net macvtap macvlan tun virtio_net kvm_intel kvm uinput sunrpc binfmt_misc usb_storage sdhci_pci sdhci mmc_core firewire_ohci firewire_core crc_itu_
:t video radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
:Pid: 1886, comm: threaded-ml Not tainted 3.3.1-5.fc16.x86_64 #1
:Call Trace:
: <IRQ>  [<ffffffff8105798f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff81057a86>] warn_slowpath_fmt+0x46/0x50
: [<ffffffffa0505f76>] iwl_irq_tasklet+0x666/0xd00 [iwlwifi]
: [<ffffffff8105e958>] tasklet_action+0x78/0x140
: [<ffffffff8105efb8>] __do_softirq+0xb8/0x230
: [<ffffffff810e3c10>] ? handle_irq_event+0x50/0x70
: [<ffffffff815fd51c>] call_softirq+0x1c/0x30
: [<ffffffff81016455>] do_softirq+0x65/0xa0
: [<ffffffff8105f3ce>] irq_exit+0x9e/0xc0
: [<ffffffff815fdd83>] do_IRQ+0x63/0xe0
: [<ffffffff815f432e>] common_interrupt+0x6e/0x6e
: <EOI>  [<ffffffff8103bbe6>] ? read_hpet+0x16/0x20
: [<ffffffff810a49f7>] getnstimeofday+0x57/0xe0
: [<ffffffff810a4aea>] do_gettimeofday+0x1a/0x50
: [<ffffffff810bc4c1>] compat_sys_gettimeofday+0x31/0xb0
: [<ffffffff815fd756>] sysenter_dispatch+0x7/0x21

smolt_data:
:
:
:General
:=================================
:UUID: d9c1542b-efbe-4887-bcb9-7135d21a720f
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4786.41
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     P8600  @ 2.40GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2401
:System Memory: 3953
:System Swap: 5023
:Vendor: Sony Corporation
:System: VGN-FW180D C600G0CZ
:Form factor: Notebook
:Kernel: 3.3.1-5.fc16.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4523:17251:4173:36917) pci, sky2, ETHERNET, 88E8055 PCI-E Gigabit Ethernet Controller
:(32902:10816:4173:36917) pci, None, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10817:4173:36917) pci, pcieport, PCI/PCI, Mobile 4 Series Chipset PCI Express Graphics Port
:(32902:10544:4173:36917) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:4173:36917) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10521:4173:36917) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(32902:9288:4173:36917) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(4480:2098:4173:36917) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(4480:2082:4173:36917) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(32902:10549:4173:36917) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:4173:36917) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:4173:36917) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4173:36917) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4173:36917) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4173:36917) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:10566:4173:36917) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10560:4173:36917) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4173:36917) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10568:4173:36917) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:4173:36917) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:16946:32902:4865) pci, iwlwifi, NETWORK, WiFi Link 5100 AGN
:(32902:10551:4173:36917) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4173:36917) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4098:43560:4173:36917) pci, snd_hda_intel, MULTIMEDIA, RV620 Audio device [Radeon HD 34xx Series]
:(4098:38340:4173:36917) pci, radeon, VIDEO, Mobility Radeon HD 3400 Series
:(4480:1426:4173:36917) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_pasha-root / ext4 4096 4096 12274203 11003411 10880564 3072000 2931041 2931041
:/dev/mapper/vg_pasha-home /home ext4 4096 4096 26330111 25469275 24150773 6594560 6587866 6587866
:
Comment 1 Dave Jones 2012-04-20 13:15:23 EDT
*** Bug 814711 has been marked as a duplicate of this bug. ***
Comment 2 Dave Jones 2012-04-20 13:16:00 EDT
*** Bug 770595 has been marked as a duplicate of this bug. ***
Comment 3 arvind 2012-05-05 02:31:04 EDT
This is a fresh install. I occured all of a sudden

Package: kernel
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 4 Dave Jones 2012-05-07 15:01:43 EDT
*** Bug 819150 has been marked as a duplicate of this bug. ***
Comment 5 Dave Jones 2012-05-24 11:09:43 EDT
*** Bug 815986 has been marked as a duplicate of this bug. ***
Comment 6 Dave Jones 2012-05-24 11:09:56 EDT
*** Bug 823258 has been marked as a duplicate of this bug. ***
Comment 7 Mike Qin 2012-06-02 23:48:38 EDT
confirm this bug on Fedora 17

kernel-3.3.7-1.fc17.x86_64

[25598.899585] WARNING: at drivers/net/wireless/iwlwifi/iwl-trans-pcie-rx.c:461 iwl_irq_tasklet+0x67a/0xd30 [iwlwifi]()
[25598.899587] Hardware name: 7457A46
[25598.899589] reclaim is false, SEQ_RX_FRAME unset: REPLY_RX_PHY_CMD
[25598.899591] Modules linked in: fuse ebtable_nat ebtables thinkpad_acpi fcoe libfcoe libfc scsi_transport_fc scsi_tgt 8021q garp lockd sunrpc ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle rfcomm bnep bridge stp llc ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 ip6table_filter xt_state nf_conntrack ip6_tables xfs reiserfs uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media snd_hda_codec_conexant snd_hda_intel snd_hda_codec snd_hwdep snd_pcm arc4 snd_page_alloc snd_timer iwlwifi snd mac80211 btusb bluetooth cfg80211 i2c_i801 iTCO_wdt iTCO_vendor_support soundcore rfkill e1000e microcode vhost_net tun macvtap macvlan kvm_intel kvm uinput ata_generic pata_acpi wmi i915 video i2c_algo_bit drm_kms_helper drm i2c_core [last unloaded: thinkpad_acpi]
[25598.899636] Pid: 0, comm: swapper/0 Not tainted 3.3.7-1.fc17.x86_64 #1
[25598.899638] Call Trace:
[25598.899639]  <IRQ>  [<ffffffff810568cf>] warn_slowpath_common+0x7f/0xc0
[25598.899648]  [<ffffffff810569c6>] warn_slowpath_fmt+0x46/0x50
[25598.899658]  [<ffffffffa038dd3a>] iwl_irq_tasklet+0x67a/0xd30 [iwlwifi]
[25598.899661]  [<ffffffff8105d6c3>] tasklet_action+0x73/0x120
[25598.899664]  [<ffffffff8105dc70>] __do_softirq+0xc0/0x1e0
[25598.899668]  [<ffffffff815f53dc>] call_softirq+0x1c/0x30
[25598.899672]  [<ffffffff81015465>] do_softirq+0x75/0xb0
[25598.899674]  [<ffffffff8105e035>] irq_exit+0xb5/0xc0
[25598.899677]  [<ffffffff815f5c43>] do_IRQ+0x63/0xe0
[25598.899680]  [<ffffffff815ec26e>] common_interrupt+0x6e/0x6e
[25598.899681]  <EOI>  [<ffffffff81340de6>] ? arch_local_irq_enable+0x8/0xd
[25598.899689]  [<ffffffff8108c38e>] ? sched_clock_idle_wakeup_event+0x1e/0x20
[25598.899692]  [<ffffffff81341bf2>] acpi_idle_enter_bm+0x22b/0x26f
[25598.899696]  [<ffffffff8149df87>] cpuidle_idle_call+0xb7/0x230
[25598.899699]  [<ffffffff8101220f>] cpu_idle+0xaf/0x120
[25598.899702]  [<ffffffff815ca4ee>] rest_init+0x72/0x74

Also, seems this bug could my dlink router halt.  I have to restart my router everytime.
Comment 8 Dave Jones 2012-07-12 15:04:58 EDT
*** Bug 839755 has been marked as a duplicate of this bug. ***
Comment 9 Dave Jones 2012-10-23 11:26:37 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 10 Justin M. Forbes 2012-11-13 10:14:22 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.